com.tibbo.aggregate.common.context.loader

## Class ContextLoaders

- java.lang.Object
- - com.tibbo.aggregate.common.context.loader.ContextLoaders

-     public class ContextLoaders
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TableFormat` | `VFT_PROPERTY_FILTERS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextLoaders()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ContextLoader` | `createFilteredChildrenContextLoader(ContextManager contextManager, CallerController caller, java.lang.String expression, java.lang.String mask, java.util.Map<java.lang.String,java.util.List<java.lang.String>> propertyFilters, java.util.Map<java.lang.String,java.lang.String> globalFilters, java.lang.String smartFilterExpression)`
    `static ContextLoader` | `createLazyFilteredContextLoader(ContextManager contextManager, CallerController caller, java.lang.String expression, java.lang.String mask, java.lang.Integer offset, java.lang.Integer count)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VFT_PROPERTY_FILTERS

          public static final TableFormat VFT_PROPERTY_FILTERS

  - ### Constructor Detail

    - #### ContextLoaders

          public ContextLoaders()

  - ### Method Detail

    - #### createLazyFilteredContextLoader

          public static ContextLoader createLazyFilteredContextLoader(@Nonnull
                                                                      ContextManager contextManager,
                                                                      @Nonnull
                                                                      CallerController caller,
                                                                      @Nonnull
                                                                      java.lang.String expression,
                                                                      @Nonnull
                                                                      java.lang.String mask,
                                                                      @Nonnull
                                                                      java.lang.Integer offset,
                                                                      @Nonnull
                                                                      java.lang.Integer count)

    - #### createFilteredChildrenContextLoader

          public static ContextLoader createFilteredChildrenContextLoader(@Nonnull
                                                                          ContextManager contextManager,
                                                                          @Nonnull
                                                                          CallerController caller,
                                                                          @Nonnull
                                                                          java.lang.String expression,
                                                                          @Nonnull
                                                                          java.lang.String mask,
                                                                          @Nonnull
                                                                          java.util.Map<java.lang.String,java.util.List<java.lang.String>> propertyFilters,
                                                                          @Nonnull
                                                                          java.util.Map<java.lang.String,java.lang.String> globalFilters,
                                                                          @Nonnull
                                                                          java.lang.String smartFilterExpression)